// Code generated by protoc-gen-go. DO NOT EDIT.
// source: api/simctl.proto

package simctl

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type SimConfig struct {
	Begin                float32  `protobuf:"fixed32,1,opt,name=begin,proto3" json:"begin,omitempty" yaml:"begin,omitempty" mapstructure:"begin,omitempty"`
	End                  float32  `protobuf:"fixed32,2,opt,name=end,proto3" json:"end,omitempty" yaml:"end,omitempty" mapstructure:"end,omitempty"`
	Step                 float32  `protobuf:"fixed32,3,opt,name=step,proto3" json:"step,omitempty" yaml:"step,omitempty" mapstructure:"step,omitempty"`
	Size                 int32    `protobuf:"varint,4,opt,name=size,proto3" json:"size,omitempty" yaml:"size,omitempty" mapstructure:"size,omitempty"`
	Simulator            string   `protobuf:"bytes,5,opt,name=simulator,proto3" json:"simulator,omitempty" yaml:"simulator,omitempty" mapstructure:"simulator,omitempty"`
	Id                   string   `protobuf:"bytes,6,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *SimConfig) Reset()         { *m = SimConfig{} }
func (m *SimConfig) String() string { return proto.CompactTextString(m) }
func (*SimConfig) ProtoMessage()    {}
func (*SimConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{0}
}

func (m *SimConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SimConfig.Unmarshal(m, b)
}
func (m *SimConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SimConfig.Marshal(b, m, deterministic)
}
func (m *SimConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SimConfig.Merge(m, src)
}
func (m *SimConfig) XXX_Size() int {
	return xxx_messageInfo_SimConfig.Size(m)
}
func (m *SimConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_SimConfig.DiscardUnknown(m)
}

var xxx_messageInfo_SimConfig proto.InternalMessageInfo

func (m *SimConfig) GetBegin() float32 {
	if m != nil {
		return m.Begin
	}
	return 0
}

func (m *SimConfig) GetEnd() float32 {
	if m != nil {
		return m.End
	}
	return 0
}

func (m *SimConfig) GetStep() float32 {
	if m != nil {
		return m.Step
	}
	return 0
}

func (m *SimConfig) GetSize() int32 {
	if m != nil {
		return m.Size
	}
	return 0
}

func (m *SimConfig) GetSimulator() string {
	if m != nil {
		return m.Simulator
	}
	return ""
}

func (m *SimConfig) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type SimData struct {
	Actuators            []*Actuator `protobuf:"bytes,1,rep,name=actuators,proto3" json:"actuators,omitempty" yaml:"actuators,omitempty" mapstructure:"actuators,omitempty"`
	Sensors              []*Sensor   `protobuf:"bytes,2,rep,name=sensors,proto3" json:"sensors,omitempty" yaml:"sensors,omitempty" mapstructure:"sensors,omitempty"`
	Equations            []string    `protobuf:"bytes,3,rep,name=equations,proto3" json:"equations,omitempty" yaml:"equations,omitempty" mapstructure:"equations,omitempty"`
	Config               *SimConfig  `protobuf:"bytes,4,opt,name=config,proto3" json:"config,omitempty" yaml:"config,omitempty" mapstructure:"config,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte      `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32       `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *SimData) Reset()         { *m = SimData{} }
func (m *SimData) String() string { return proto.CompactTextString(m) }
func (*SimData) ProtoMessage()    {}
func (*SimData) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{1}
}

func (m *SimData) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SimData.Unmarshal(m, b)
}
func (m *SimData) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SimData.Marshal(b, m, deterministic)
}
func (m *SimData) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SimData.Merge(m, src)
}
func (m *SimData) XXX_Size() int {
	return xxx_messageInfo_SimData.Size(m)
}
func (m *SimData) XXX_DiscardUnknown() {
	xxx_messageInfo_SimData.DiscardUnknown(m)
}

var xxx_messageInfo_SimData proto.InternalMessageInfo

func (m *SimData) GetActuators() []*Actuator {
	if m != nil {
		return m.Actuators
	}
	return nil
}

func (m *SimData) GetSensors() []*Sensor {
	if m != nil {
		return m.Sensors
	}
	return nil
}

func (m *SimData) GetEquations() []string {
	if m != nil {
		return m.Equations
	}
	return nil
}

func (m *SimData) GetConfig() *SimConfig {
	if m != nil {
		return m.Config
	}
	return nil
}

type InitRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	Data                 *SimData `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty" yaml:"data,omitempty" mapstructure:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *InitRequest) Reset()         { *m = InitRequest{} }
func (m *InitRequest) String() string { return proto.CompactTextString(m) }
func (*InitRequest) ProtoMessage()    {}
func (*InitRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{2}
}

func (m *InitRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitRequest.Unmarshal(m, b)
}
func (m *InitRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitRequest.Marshal(b, m, deterministic)
}
func (m *InitRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitRequest.Merge(m, src)
}
func (m *InitRequest) XXX_Size() int {
	return xxx_messageInfo_InitRequest.Size(m)
}
func (m *InitRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_InitRequest.DiscardUnknown(m)
}

var xxx_messageInfo_InitRequest proto.InternalMessageInfo

func (m *InitRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *InitRequest) GetData() *SimData {
	if m != nil {
		return m.Data
	}
	return nil
}

type InitResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *InitResponse) Reset()         { *m = InitResponse{} }
func (m *InitResponse) String() string { return proto.CompactTextString(m) }
func (*InitResponse) ProtoMessage()    {}
func (*InitResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{3}
}

func (m *InitResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InitResponse.Unmarshal(m, b)
}
func (m *InitResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InitResponse.Marshal(b, m, deterministic)
}
func (m *InitResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InitResponse.Merge(m, src)
}
func (m *InitResponse) XXX_Size() int {
	return xxx_messageInfo_InitResponse.Size(m)
}
func (m *InitResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_InitResponse.DiscardUnknown(m)
}

var xxx_messageInfo_InitResponse proto.InternalMessageInfo

type DestroyRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DestroyRequest) Reset()         { *m = DestroyRequest{} }
func (m *DestroyRequest) String() string { return proto.CompactTextString(m) }
func (*DestroyRequest) ProtoMessage()    {}
func (*DestroyRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{4}
}

func (m *DestroyRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DestroyRequest.Unmarshal(m, b)
}
func (m *DestroyRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DestroyRequest.Marshal(b, m, deterministic)
}
func (m *DestroyRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DestroyRequest.Merge(m, src)
}
func (m *DestroyRequest) XXX_Size() int {
	return xxx_messageInfo_DestroyRequest.Size(m)
}
func (m *DestroyRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DestroyRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DestroyRequest proto.InternalMessageInfo

func (m *DestroyRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type DestroyResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *DestroyResponse) Reset()         { *m = DestroyResponse{} }
func (m *DestroyResponse) String() string { return proto.CompactTextString(m) }
func (*DestroyResponse) ProtoMessage()    {}
func (*DestroyResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{5}
}

func (m *DestroyResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DestroyResponse.Unmarshal(m, b)
}
func (m *DestroyResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DestroyResponse.Marshal(b, m, deterministic)
}
func (m *DestroyResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DestroyResponse.Merge(m, src)
}
func (m *DestroyResponse) XXX_Size() int {
	return xxx_messageInfo_DestroyResponse.Size(m)
}
func (m *DestroyResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DestroyResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DestroyResponse proto.InternalMessageInfo

type ListRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *ListRequest) Reset()         { *m = ListRequest{} }
func (m *ListRequest) String() string { return proto.CompactTextString(m) }
func (*ListRequest) ProtoMessage()    {}
func (*ListRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{6}
}

func (m *ListRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListRequest.Unmarshal(m, b)
}
func (m *ListRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListRequest.Marshal(b, m, deterministic)
}
func (m *ListRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListRequest.Merge(m, src)
}
func (m *ListRequest) XXX_Size() int {
	return xxx_messageInfo_ListRequest.Size(m)
}
func (m *ListRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListRequest proto.InternalMessageInfo

type ListResponse struct {
	Sims                 map[string]*SimData `protobuf:"bytes,1,rep,name=sims,proto3" json:"sims,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" yaml:"sims,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3" mapstructure:"sims,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte              `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32               `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *ListResponse) Reset()         { *m = ListResponse{} }
func (m *ListResponse) String() string { return proto.CompactTextString(m) }
func (*ListResponse) ProtoMessage()    {}
func (*ListResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{7}
}

func (m *ListResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListResponse.Unmarshal(m, b)
}
func (m *ListResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListResponse.Marshal(b, m, deterministic)
}
func (m *ListResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListResponse.Merge(m, src)
}
func (m *ListResponse) XXX_Size() int {
	return xxx_messageInfo_ListResponse.Size(m)
}
func (m *ListResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListResponse proto.InternalMessageInfo

func (m *ListResponse) GetSims() map[string]*SimData {
	if m != nil {
		return m.Sims
	}
	return nil
}

type Sensor struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	Target               string   `protobuf:"bytes,2,opt,name=target,proto3" json:"target,omitempty" yaml:"target,omitempty" mapstructure:"target,omitempty"`
	Address              string   `protobuf:"bytes,3,opt,name=address,proto3" json:"address,omitempty" yaml:"address,omitempty" mapstructure:"address,omitempty"`
	Var                  string   `protobuf:"bytes,4,opt,name=var,proto3" json:"var,omitempty" yaml:"var,omitempty" mapstructure:"var,omitempty"`
	Rate                 int32    `protobuf:"varint,5,opt,name=rate,proto3" json:"rate,omitempty" yaml:"rate,omitempty" mapstructure:"rate,omitempty"`
	Tag                  int32    `protobuf:"varint,6,opt,name=tag,proto3" json:"tag,omitempty" yaml:"tag,omitempty" mapstructure:"tag,omitempty"`
	Vxlan                int32    `protobuf:"varint,7,opt,name=vxlan,proto3" json:"vxlan,omitempty" yaml:"vxlan,omitempty" mapstructure:"vxlan,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Sensor) Reset()         { *m = Sensor{} }
func (m *Sensor) String() string { return proto.CompactTextString(m) }
func (*Sensor) ProtoMessage()    {}
func (*Sensor) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{8}
}

func (m *Sensor) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Sensor.Unmarshal(m, b)
}
func (m *Sensor) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Sensor.Marshal(b, m, deterministic)
}
func (m *Sensor) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Sensor.Merge(m, src)
}
func (m *Sensor) XXX_Size() int {
	return xxx_messageInfo_Sensor.Size(m)
}
func (m *Sensor) XXX_DiscardUnknown() {
	xxx_messageInfo_Sensor.DiscardUnknown(m)
}

var xxx_messageInfo_Sensor proto.InternalMessageInfo

func (m *Sensor) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Sensor) GetTarget() string {
	if m != nil {
		return m.Target
	}
	return ""
}

func (m *Sensor) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *Sensor) GetVar() string {
	if m != nil {
		return m.Var
	}
	return ""
}

func (m *Sensor) GetRate() int32 {
	if m != nil {
		return m.Rate
	}
	return 0
}

func (m *Sensor) GetTag() int32 {
	if m != nil {
		return m.Tag
	}
	return 0
}

func (m *Sensor) GetVxlan() int32 {
	if m != nil {
		return m.Vxlan
	}
	return 0
}

type AddSensorRequest struct {
	Id                   string    `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	Sensors              []*Sensor `protobuf:"bytes,2,rep,name=sensors,proto3" json:"sensors,omitempty" yaml:"sensors,omitempty" mapstructure:"sensors,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32     `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddSensorRequest) Reset()         { *m = AddSensorRequest{} }
func (m *AddSensorRequest) String() string { return proto.CompactTextString(m) }
func (*AddSensorRequest) ProtoMessage()    {}
func (*AddSensorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{9}
}

func (m *AddSensorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddSensorRequest.Unmarshal(m, b)
}
func (m *AddSensorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddSensorRequest.Marshal(b, m, deterministic)
}
func (m *AddSensorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddSensorRequest.Merge(m, src)
}
func (m *AddSensorRequest) XXX_Size() int {
	return xxx_messageInfo_AddSensorRequest.Size(m)
}
func (m *AddSensorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AddSensorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AddSensorRequest proto.InternalMessageInfo

func (m *AddSensorRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *AddSensorRequest) GetSensors() []*Sensor {
	if m != nil {
		return m.Sensors
	}
	return nil
}

type AddSensorResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddSensorResponse) Reset()         { *m = AddSensorResponse{} }
func (m *AddSensorResponse) String() string { return proto.CompactTextString(m) }
func (*AddSensorResponse) ProtoMessage()    {}
func (*AddSensorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{10}
}

func (m *AddSensorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddSensorResponse.Unmarshal(m, b)
}
func (m *AddSensorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddSensorResponse.Marshal(b, m, deterministic)
}
func (m *AddSensorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddSensorResponse.Merge(m, src)
}
func (m *AddSensorResponse) XXX_Size() int {
	return xxx_messageInfo_AddSensorResponse.Size(m)
}
func (m *AddSensorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddSensorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddSensorResponse proto.InternalMessageInfo

type RemoveSensorRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	Sensors              []string `protobuf:"bytes,2,rep,name=sensors,proto3" json:"sensors,omitempty" yaml:"sensors,omitempty" mapstructure:"sensors,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *RemoveSensorRequest) Reset()         { *m = RemoveSensorRequest{} }
func (m *RemoveSensorRequest) String() string { return proto.CompactTextString(m) }
func (*RemoveSensorRequest) ProtoMessage()    {}
func (*RemoveSensorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{11}
}

func (m *RemoveSensorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RemoveSensorRequest.Unmarshal(m, b)
}
func (m *RemoveSensorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RemoveSensorRequest.Marshal(b, m, deterministic)
}
func (m *RemoveSensorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RemoveSensorRequest.Merge(m, src)
}
func (m *RemoveSensorRequest) XXX_Size() int {
	return xxx_messageInfo_RemoveSensorRequest.Size(m)
}
func (m *RemoveSensorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RemoveSensorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RemoveSensorRequest proto.InternalMessageInfo

func (m *RemoveSensorRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *RemoveSensorRequest) GetSensors() []string {
	if m != nil {
		return m.Sensors
	}
	return nil
}

type RemoveSensorResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *RemoveSensorResponse) Reset()         { *m = RemoveSensorResponse{} }
func (m *RemoveSensorResponse) String() string { return proto.CompactTextString(m) }
func (*RemoveSensorResponse) ProtoMessage()    {}
func (*RemoveSensorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{12}
}

func (m *RemoveSensorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RemoveSensorResponse.Unmarshal(m, b)
}
func (m *RemoveSensorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RemoveSensorResponse.Marshal(b, m, deterministic)
}
func (m *RemoveSensorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RemoveSensorResponse.Merge(m, src)
}
func (m *RemoveSensorResponse) XXX_Size() int {
	return xxx_messageInfo_RemoveSensorResponse.Size(m)
}
func (m *RemoveSensorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RemoveSensorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RemoveSensorResponse proto.InternalMessageInfo

type Limits struct {
	Upper                float32  `protobuf:"fixed32,1,opt,name=upper,proto3" json:"upper,omitempty" yaml:"upper,omitempty" mapstructure:"upper,omitempty"`
	Lower                float32  `protobuf:"fixed32,2,opt,name=lower,proto3" json:"lower,omitempty" yaml:"lower,omitempty" mapstructure:"lower,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Limits) Reset()         { *m = Limits{} }
func (m *Limits) String() string { return proto.CompactTextString(m) }
func (*Limits) ProtoMessage()    {}
func (*Limits) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{13}
}

func (m *Limits) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Limits.Unmarshal(m, b)
}
func (m *Limits) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Limits.Marshal(b, m, deterministic)
}
func (m *Limits) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Limits.Merge(m, src)
}
func (m *Limits) XXX_Size() int {
	return xxx_messageInfo_Limits.Size(m)
}
func (m *Limits) XXX_DiscardUnknown() {
	xxx_messageInfo_Limits.DiscardUnknown(m)
}

var xxx_messageInfo_Limits proto.InternalMessageInfo

func (m *Limits) GetUpper() float32 {
	if m != nil {
		return m.Upper
	}
	return 0
}

func (m *Limits) GetLower() float32 {
	if m != nil {
		return m.Lower
	}
	return 0
}

type Actuator struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty" yaml:"name,omitempty" mapstructure:"name,omitempty"`
	Address              string   `protobuf:"bytes,2,opt,name=address,proto3" json:"address,omitempty" yaml:"address,omitempty" mapstructure:"address,omitempty"`
	Var                  string   `protobuf:"bytes,3,opt,name=var,proto3" json:"var,omitempty" yaml:"var,omitempty" mapstructure:"var,omitempty"`
	StaticLimits         *Limits  `protobuf:"bytes,4,opt,name=static_limits,json=staticLimits,proto3" json:"static_limits,omitempty" yaml:"static_limits,omitempty" mapstructure:"static_limits,omitempty"`
	DynamicLimits        *Limits  `protobuf:"bytes,5,opt,name=dynamic_limits,json=dynamicLimits,proto3" json:"dynamic_limits,omitempty" yaml:"dynamic_limits,omitempty" mapstructure:"dynamic_limits,omitempty"`
	Tag                  int32    `protobuf:"varint,6,opt,name=tag,proto3" json:"tag,omitempty" yaml:"tag,omitempty" mapstructure:"tag,omitempty"`
	Vxlan                int32    `protobuf:"varint,7,opt,name=vxlan,proto3" json:"vxlan,omitempty" yaml:"vxlan,omitempty" mapstructure:"vxlan,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *Actuator) Reset()         { *m = Actuator{} }
func (m *Actuator) String() string { return proto.CompactTextString(m) }
func (*Actuator) ProtoMessage()    {}
func (*Actuator) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{14}
}

func (m *Actuator) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Actuator.Unmarshal(m, b)
}
func (m *Actuator) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Actuator.Marshal(b, m, deterministic)
}
func (m *Actuator) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Actuator.Merge(m, src)
}
func (m *Actuator) XXX_Size() int {
	return xxx_messageInfo_Actuator.Size(m)
}
func (m *Actuator) XXX_DiscardUnknown() {
	xxx_messageInfo_Actuator.DiscardUnknown(m)
}

var xxx_messageInfo_Actuator proto.InternalMessageInfo

func (m *Actuator) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Actuator) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *Actuator) GetVar() string {
	if m != nil {
		return m.Var
	}
	return ""
}

func (m *Actuator) GetStaticLimits() *Limits {
	if m != nil {
		return m.StaticLimits
	}
	return nil
}

func (m *Actuator) GetDynamicLimits() *Limits {
	if m != nil {
		return m.DynamicLimits
	}
	return nil
}

func (m *Actuator) GetTag() int32 {
	if m != nil {
		return m.Tag
	}
	return 0
}

func (m *Actuator) GetVxlan() int32 {
	if m != nil {
		return m.Vxlan
	}
	return 0
}

type AddActuatorRequest struct {
	Id                   string      `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	Actuators            []*Actuator `protobuf:"bytes,2,rep,name=actuators,proto3" json:"actuators,omitempty" yaml:"actuators,omitempty" mapstructure:"actuators,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte      `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32       `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddActuatorRequest) Reset()         { *m = AddActuatorRequest{} }
func (m *AddActuatorRequest) String() string { return proto.CompactTextString(m) }
func (*AddActuatorRequest) ProtoMessage()    {}
func (*AddActuatorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{15}
}

func (m *AddActuatorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddActuatorRequest.Unmarshal(m, b)
}
func (m *AddActuatorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddActuatorRequest.Marshal(b, m, deterministic)
}
func (m *AddActuatorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddActuatorRequest.Merge(m, src)
}
func (m *AddActuatorRequest) XXX_Size() int {
	return xxx_messageInfo_AddActuatorRequest.Size(m)
}
func (m *AddActuatorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AddActuatorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AddActuatorRequest proto.InternalMessageInfo

func (m *AddActuatorRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *AddActuatorRequest) GetActuators() []*Actuator {
	if m != nil {
		return m.Actuators
	}
	return nil
}

type AddActuatorResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddActuatorResponse) Reset()         { *m = AddActuatorResponse{} }
func (m *AddActuatorResponse) String() string { return proto.CompactTextString(m) }
func (*AddActuatorResponse) ProtoMessage()    {}
func (*AddActuatorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{16}
}

func (m *AddActuatorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddActuatorResponse.Unmarshal(m, b)
}
func (m *AddActuatorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddActuatorResponse.Marshal(b, m, deterministic)
}
func (m *AddActuatorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddActuatorResponse.Merge(m, src)
}
func (m *AddActuatorResponse) XXX_Size() int {
	return xxx_messageInfo_AddActuatorResponse.Size(m)
}
func (m *AddActuatorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddActuatorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddActuatorResponse proto.InternalMessageInfo

type RemoveActuatorRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	Actuators            []string `protobuf:"bytes,2,rep,name=actuators,proto3" json:"actuators,omitempty" yaml:"actuators,omitempty" mapstructure:"actuators,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *RemoveActuatorRequest) Reset()         { *m = RemoveActuatorRequest{} }
func (m *RemoveActuatorRequest) String() string { return proto.CompactTextString(m) }
func (*RemoveActuatorRequest) ProtoMessage()    {}
func (*RemoveActuatorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{17}
}

func (m *RemoveActuatorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RemoveActuatorRequest.Unmarshal(m, b)
}
func (m *RemoveActuatorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RemoveActuatorRequest.Marshal(b, m, deterministic)
}
func (m *RemoveActuatorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RemoveActuatorRequest.Merge(m, src)
}
func (m *RemoveActuatorRequest) XXX_Size() int {
	return xxx_messageInfo_RemoveActuatorRequest.Size(m)
}
func (m *RemoveActuatorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RemoveActuatorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RemoveActuatorRequest proto.InternalMessageInfo

func (m *RemoveActuatorRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *RemoveActuatorRequest) GetActuators() []string {
	if m != nil {
		return m.Actuators
	}
	return nil
}

type RemoveActuatorResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *RemoveActuatorResponse) Reset()         { *m = RemoveActuatorResponse{} }
func (m *RemoveActuatorResponse) String() string { return proto.CompactTextString(m) }
func (*RemoveActuatorResponse) ProtoMessage()    {}
func (*RemoveActuatorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{18}
}

func (m *RemoveActuatorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RemoveActuatorResponse.Unmarshal(m, b)
}
func (m *RemoveActuatorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RemoveActuatorResponse.Marshal(b, m, deterministic)
}
func (m *RemoveActuatorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RemoveActuatorResponse.Merge(m, src)
}
func (m *RemoveActuatorResponse) XXX_Size() int {
	return xxx_messageInfo_RemoveActuatorResponse.Size(m)
}
func (m *RemoveActuatorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RemoveActuatorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RemoveActuatorResponse proto.InternalMessageInfo

type AddEquationRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	Equations            []string `protobuf:"bytes,2,rep,name=equations,proto3" json:"equations,omitempty" yaml:"equations,omitempty" mapstructure:"equations,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddEquationRequest) Reset()         { *m = AddEquationRequest{} }
func (m *AddEquationRequest) String() string { return proto.CompactTextString(m) }
func (*AddEquationRequest) ProtoMessage()    {}
func (*AddEquationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{19}
}

func (m *AddEquationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddEquationRequest.Unmarshal(m, b)
}
func (m *AddEquationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddEquationRequest.Marshal(b, m, deterministic)
}
func (m *AddEquationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddEquationRequest.Merge(m, src)
}
func (m *AddEquationRequest) XXX_Size() int {
	return xxx_messageInfo_AddEquationRequest.Size(m)
}
func (m *AddEquationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AddEquationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AddEquationRequest proto.InternalMessageInfo

func (m *AddEquationRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *AddEquationRequest) GetEquations() []string {
	if m != nil {
		return m.Equations
	}
	return nil
}

type AddEquationResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *AddEquationResponse) Reset()         { *m = AddEquationResponse{} }
func (m *AddEquationResponse) String() string { return proto.CompactTextString(m) }
func (*AddEquationResponse) ProtoMessage()    {}
func (*AddEquationResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{20}
}

func (m *AddEquationResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddEquationResponse.Unmarshal(m, b)
}
func (m *AddEquationResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddEquationResponse.Marshal(b, m, deterministic)
}
func (m *AddEquationResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddEquationResponse.Merge(m, src)
}
func (m *AddEquationResponse) XXX_Size() int {
	return xxx_messageInfo_AddEquationResponse.Size(m)
}
func (m *AddEquationResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddEquationResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddEquationResponse proto.InternalMessageInfo

type RemoveEquationRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	Equations            []string `protobuf:"bytes,2,rep,name=equations,proto3" json:"equations,omitempty" yaml:"equations,omitempty" mapstructure:"equations,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *RemoveEquationRequest) Reset()         { *m = RemoveEquationRequest{} }
func (m *RemoveEquationRequest) String() string { return proto.CompactTextString(m) }
func (*RemoveEquationRequest) ProtoMessage()    {}
func (*RemoveEquationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{21}
}

func (m *RemoveEquationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RemoveEquationRequest.Unmarshal(m, b)
}
func (m *RemoveEquationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RemoveEquationRequest.Marshal(b, m, deterministic)
}
func (m *RemoveEquationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RemoveEquationRequest.Merge(m, src)
}
func (m *RemoveEquationRequest) XXX_Size() int {
	return xxx_messageInfo_RemoveEquationRequest.Size(m)
}
func (m *RemoveEquationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RemoveEquationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RemoveEquationRequest proto.InternalMessageInfo

func (m *RemoveEquationRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *RemoveEquationRequest) GetEquations() []string {
	if m != nil {
		return m.Equations
	}
	return nil
}

type RemoveEquationResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *RemoveEquationResponse) Reset()         { *m = RemoveEquationResponse{} }
func (m *RemoveEquationResponse) String() string { return proto.CompactTextString(m) }
func (*RemoveEquationResponse) ProtoMessage()    {}
func (*RemoveEquationResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{22}
}

func (m *RemoveEquationResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RemoveEquationResponse.Unmarshal(m, b)
}
func (m *RemoveEquationResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RemoveEquationResponse.Marshal(b, m, deterministic)
}
func (m *RemoveEquationResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RemoveEquationResponse.Merge(m, src)
}
func (m *RemoveEquationResponse) XXX_Size() int {
	return xxx_messageInfo_RemoveEquationResponse.Size(m)
}
func (m *RemoveEquationResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_RemoveEquationResponse.DiscardUnknown(m)
}

var xxx_messageInfo_RemoveEquationResponse proto.InternalMessageInfo

type StartRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *StartRequest) Reset()         { *m = StartRequest{} }
func (m *StartRequest) String() string { return proto.CompactTextString(m) }
func (*StartRequest) ProtoMessage()    {}
func (*StartRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{23}
}

func (m *StartRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartRequest.Unmarshal(m, b)
}
func (m *StartRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartRequest.Marshal(b, m, deterministic)
}
func (m *StartRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartRequest.Merge(m, src)
}
func (m *StartRequest) XXX_Size() int {
	return xxx_messageInfo_StartRequest.Size(m)
}
func (m *StartRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StartRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StartRequest proto.InternalMessageInfo

func (m *StartRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type StartResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *StartResponse) Reset()         { *m = StartResponse{} }
func (m *StartResponse) String() string { return proto.CompactTextString(m) }
func (*StartResponse) ProtoMessage()    {}
func (*StartResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{24}
}

func (m *StartResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StartResponse.Unmarshal(m, b)
}
func (m *StartResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StartResponse.Marshal(b, m, deterministic)
}
func (m *StartResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StartResponse.Merge(m, src)
}
func (m *StartResponse) XXX_Size() int {
	return xxx_messageInfo_StartResponse.Size(m)
}
func (m *StartResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StartResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StartResponse proto.InternalMessageInfo

type StopRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *StopRequest) Reset()         { *m = StopRequest{} }
func (m *StopRequest) String() string { return proto.CompactTextString(m) }
func (*StopRequest) ProtoMessage()    {}
func (*StopRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{25}
}

func (m *StopRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopRequest.Unmarshal(m, b)
}
func (m *StopRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopRequest.Marshal(b, m, deterministic)
}
func (m *StopRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopRequest.Merge(m, src)
}
func (m *StopRequest) XXX_Size() int {
	return xxx_messageInfo_StopRequest.Size(m)
}
func (m *StopRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StopRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StopRequest proto.InternalMessageInfo

func (m *StopRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type StopResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *StopResponse) Reset()         { *m = StopResponse{} }
func (m *StopResponse) String() string { return proto.CompactTextString(m) }
func (*StopResponse) ProtoMessage()    {}
func (*StopResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{26}
}

func (m *StopResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StopResponse.Unmarshal(m, b)
}
func (m *StopResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StopResponse.Marshal(b, m, deterministic)
}
func (m *StopResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StopResponse.Merge(m, src)
}
func (m *StopResponse) XXX_Size() int {
	return xxx_messageInfo_StopResponse.Size(m)
}
func (m *StopResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StopResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StopResponse proto.InternalMessageInfo

type CollectRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty" yaml:"id,omitempty" mapstructure:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte   `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32    `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *CollectRequest) Reset()         { *m = CollectRequest{} }
func (m *CollectRequest) String() string { return proto.CompactTextString(m) }
func (*CollectRequest) ProtoMessage()    {}
func (*CollectRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{27}
}

func (m *CollectRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CollectRequest.Unmarshal(m, b)
}
func (m *CollectRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CollectRequest.Marshal(b, m, deterministic)
}
func (m *CollectRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CollectRequest.Merge(m, src)
}
func (m *CollectRequest) XXX_Size() int {
	return xxx_messageInfo_CollectRequest.Size(m)
}
func (m *CollectRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CollectRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CollectRequest proto.InternalMessageInfo

func (m *CollectRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type CollectResponse struct {
	Diagnostics          []string  `protobuf:"bytes,1,rep,name=diagnostics,proto3" json:"diagnostics,omitempty" yaml:"diagnostics,omitempty" mapstructure:"diagnostics,omitempty"`
	Header               []string  `protobuf:"bytes,2,rep,name=header,proto3" json:"header,omitempty" yaml:"header,omitempty" mapstructure:"header,omitempty"`
	Data                 []float64 `protobuf:"fixed64,3,rep,packed,name=data,proto3" json:"data,omitempty" yaml:"data,omitempty" mapstructure:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-" yaml:"-" mapstructure:"-"`
	XXX_unrecognized     []byte    `json:"-" yaml:"-" mapstructure:"-"`
	XXX_sizecache        int32     `json:"-" yaml:"-" mapstructure:"-"`
}

func (m *CollectResponse) Reset()         { *m = CollectResponse{} }
func (m *CollectResponse) String() string { return proto.CompactTextString(m) }
func (*CollectResponse) ProtoMessage()    {}
func (*CollectResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_08009230d1f56434, []int{28}
}

func (m *CollectResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CollectResponse.Unmarshal(m, b)
}
func (m *CollectResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CollectResponse.Marshal(b, m, deterministic)
}
func (m *CollectResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CollectResponse.Merge(m, src)
}
func (m *CollectResponse) XXX_Size() int {
	return xxx_messageInfo_CollectResponse.Size(m)
}
func (m *CollectResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_CollectResponse.DiscardUnknown(m)
}

var xxx_messageInfo_CollectResponse proto.InternalMessageInfo

func (m *CollectResponse) GetDiagnostics() []string {
	if m != nil {
		return m.Diagnostics
	}
	return nil
}

func (m *CollectResponse) GetHeader() []string {
	if m != nil {
		return m.Header
	}
	return nil
}

func (m *CollectResponse) GetData() []float64 {
	if m != nil {
		return m.Data
	}
	return nil
}

func init() {
	proto.RegisterType((*SimConfig)(nil), "simctl.SimConfig")
	proto.RegisterType((*SimData)(nil), "simctl.SimData")
	proto.RegisterType((*InitRequest)(nil), "simctl.InitRequest")
	proto.RegisterType((*InitResponse)(nil), "simctl.InitResponse")
	proto.RegisterType((*DestroyRequest)(nil), "simctl.DestroyRequest")
	proto.RegisterType((*DestroyResponse)(nil), "simctl.DestroyResponse")
	proto.RegisterType((*ListRequest)(nil), "simctl.ListRequest")
	proto.RegisterType((*ListResponse)(nil), "simctl.ListResponse")
	proto.RegisterMapType((map[string]*SimData)(nil), "simctl.ListResponse.SimsEntry")
	proto.RegisterType((*Sensor)(nil), "simctl.Sensor")
	proto.RegisterType((*AddSensorRequest)(nil), "simctl.AddSensorRequest")
	proto.RegisterType((*AddSensorResponse)(nil), "simctl.AddSensorResponse")
	proto.RegisterType((*RemoveSensorRequest)(nil), "simctl.RemoveSensorRequest")
	proto.RegisterType((*RemoveSensorResponse)(nil), "simctl.RemoveSensorResponse")
	proto.RegisterType((*Limits)(nil), "simctl.Limits")
	proto.RegisterType((*Actuator)(nil), "simctl.Actuator")
	proto.RegisterType((*AddActuatorRequest)(nil), "simctl.AddActuatorRequest")
	proto.RegisterType((*AddActuatorResponse)(nil), "simctl.AddActuatorResponse")
	proto.RegisterType((*RemoveActuatorRequest)(nil), "simctl.RemoveActuatorRequest")
	proto.RegisterType((*RemoveActuatorResponse)(nil), "simctl.RemoveActuatorResponse")
	proto.RegisterType((*AddEquationRequest)(nil), "simctl.AddEquationRequest")
	proto.RegisterType((*AddEquationResponse)(nil), "simctl.AddEquationResponse")
	proto.RegisterType((*RemoveEquationRequest)(nil), "simctl.RemoveEquationRequest")
	proto.RegisterType((*RemoveEquationResponse)(nil), "simctl.RemoveEquationResponse")
	proto.RegisterType((*StartRequest)(nil), "simctl.StartRequest")
	proto.RegisterType((*StartResponse)(nil), "simctl.StartResponse")
	proto.RegisterType((*StopRequest)(nil), "simctl.StopRequest")
	proto.RegisterType((*StopResponse)(nil), "simctl.StopResponse")
	proto.RegisterType((*CollectRequest)(nil), "simctl.CollectRequest")
	proto.RegisterType((*CollectResponse)(nil), "simctl.CollectResponse")
}

func init() {
	proto.RegisterFile("api/simctl.proto", fileDescriptor_08009230d1f56434)
}

var fileDescriptor_08009230d1f56434 = []byte{
	// 1001 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xec, 0x57, 0x4b, 0x6f, 0x1c, 0x45,
	0x10, 0xd6, 0xcc, 0xbe, 0x98, 0x5a, 0xef, 0xc3, 0x6d, 0x7b, 0x19, 0x36, 0x8e, 0xb5, 0x1a, 0x84,
	0xb4, 0x1c, 0xf0, 0x2a, 0x9b, 0x20, 0x21, 0x73, 0x40, 0x76, 0x62, 0xf1, 0x90, 0x0f, 0x68, 0x96,
	0x13, 0x17, 0xd4, 0x9e, 0x69, 0x36, 0x2d, 0xe6, 0x95, 0xe9, 0x5e, 0x83, 0xf9, 0x07, 0x48, 0x9c,
	0x38, 0x73, 0xe6, 0xc4, 0x6f, 0xe2, 0xb7, 0xa0, 0xee, 0xa9, 0x79, 0x66, 0x27, 0x89, 0x40, 0xca,
	0x29, 0xb7, 0xee, 0xaa, 0xea, 0xaf, 0xaa, 0xbb, 0xbe, 0xfe, 0xa6, 0x07, 0xa6, 0x34, 0xe1, 0x2b,
	0xc1, 0x43, 0x4f, 0x06, 0xe7, 0x49, 0x1a, 0xcb, 0x98, 0xf4, 0xb3, 0x99, 0xf3, 0x9b, 0x01, 0xd6,
	0x86, 0x87, 0x4f, 0xe3, 0xe8, 0x47, 0xbe, 0x25, 0xc7, 0xd0, 0xbb, 0x65, 0x5b, 0x1e, 0xd9, 0xc6,
	0xc2, 0x58, 0x9a, 0x6e, 0x36, 0x21, 0x53, 0xe8, 0xb0, 0xc8, 0xb7, 0x4d, 0x6d, 0x53, 0x43, 0x42,
	0xa0, 0x2b, 0x24, 0x4b, 0xec, 0x8e, 0x36, 0xe9, 0xb1, 0xb6, 0xf1, 0x5f, 0x99, 0xdd, 0x5d, 0x18,
	0xcb, 0x9e, 0xab, 0xc7, 0xe4, 0x14, 0x2c, 0xc1, 0xc3, 0x5d, 0x40, 0x65, 0x9c, 0xda, 0xbd, 0x85,
	0xb1, 0xb4, 0xdc, 0xd2, 0x40, 0xc6, 0x60, 0x72, 0xdf, 0xee, 0x6b, 0xb3, 0xc9, 0x7d, 0xe7, 0x6f,
	0x03, 0x06, 0x1b, 0x1e, 0x3e, 0xa3, 0x92, 0x92, 0x73, 0xb0, 0xa8, 0x27, 0x77, 0x2a, 0x4e, 0xd8,
	0xc6, 0xa2, 0xb3, 0x1c, 0xae, 0xa7, 0xe7, 0xb8, 0x83, 0x4b, 0x74, 0xb8, 0x65, 0x08, 0x59, 0xc2,
	0x40, 0xb0, 0x48, 0xa8, 0x68, 0x53, 0x47, 0x8f, 0xf3, 0xe8, 0x8d, 0x36, 0xbb, 0xb9, 0x5b, 0xd5,
	0xc4, 0x5e, 0xec, 0xa8, 0xe4, 0x71, 0x24, 0xec, 0xce, 0xa2, 0xa3, 0x6a, 0x2a, 0x0c, 0xe4, 0x63,
	0xe8, 0x7b, 0xfa, 0x2c, 0xf4, 0x3e, 0x86, 0xeb, 0xc3, 0x02, 0x26, 0x3f, 0x24, 0x17, 0x03, 0x9c,
	0x2b, 0x18, 0x7e, 0x1d, 0x71, 0xe9, 0xb2, 0x17, 0x3b, 0x26, 0x24, 0xee, 0xc6, 0xc8, 0x77, 0x43,
	0x3e, 0x84, 0xae, 0x4f, 0x25, 0xd5, 0xc7, 0x36, 0x5c, 0x4f, 0x2a, 0x38, 0x6a, 0x83, 0xae, 0x76,
	0x3a, 0x63, 0x38, 0xc8, 0x30, 0x44, 0x12, 0x47, 0x82, 0x39, 0x0b, 0x18, 0x3f, 0x63, 0x42, 0xa6,
	0xf1, 0x7d, 0x0b, 0xac, 0x73, 0x08, 0x93, 0x22, 0x02, 0x17, 0x8d, 0x60, 0x78, 0xc3, 0x45, 0x5e,
	0x88, 0xf3, 0xbb, 0x01, 0x07, 0xd9, 0x3c, 0xf3, 0x93, 0xb5, 0xea, 0x4c, 0x98, 0x1f, 0xe3, 0x59,
	0x5e, 0x49, 0x35, 0x46, 0x95, 0x25, 0xae, 0x23, 0x99, 0xde, 0xbb, 0x3a, 0x76, 0xfe, 0x95, 0xa6,
	0x45, 0x66, 0x52, 0x04, 0xf8, 0x89, 0xdd, 0x63, 0x11, 0x6a, 0x48, 0x3e, 0x82, 0xde, 0x1d, 0x0d,
	0x76, 0xac, 0x6d, 0x77, 0x99, 0xf7, 0xc2, 0xfc, 0xcc, 0x70, 0xfe, 0x34, 0xa0, 0x9f, 0xf5, 0x40,
	0x51, 0x24, 0xa2, 0x21, 0x43, 0x20, 0x3d, 0x26, 0x33, 0xe8, 0x4b, 0x9a, 0x6e, 0x99, 0xd4, 0x50,
	0x96, 0x8b, 0x33, 0x62, 0xc3, 0x80, 0xfa, 0x7e, 0xca, 0x84, 0xd0, 0x2c, 0xb3, 0xdc, 0x7c, 0xaa,
	0xaa, 0xb9, 0xa3, 0xa9, 0xee, 0x8f, 0xe5, 0xaa, 0xa1, 0xc2, 0x4d, 0xa9, 0x64, 0x9a, 0x61, 0x3d,
	0x57, 0x8f, 0x55, 0x94, 0xa4, 0x5b, 0xcd, 0xae, 0x9e, 0xab, 0x86, 0x8a, 0xdc, 0x77, 0xbf, 0x04,
	0x34, 0xb2, 0x07, 0xda, 0x96, 0x4d, 0x9c, 0x1b, 0x98, 0x5e, 0xfa, 0x3e, 0x92, 0xa4, 0xa5, 0x95,
	0x6f, 0x4c, 0x2e, 0xe7, 0x08, 0x0e, 0x2b, 0x68, 0xd8, 0x9f, 0x2f, 0xe0, 0xc8, 0x65, 0x61, 0x7c,
	0xc7, 0x5e, 0x9d, 0xc5, 0xae, 0x67, 0xb1, 0x4a, 0xd4, 0x19, 0x1c, 0xd7, 0x01, 0x10, 0xf8, 0x09,
	0xf4, 0x6f, 0x78, 0xc8, 0xa5, 0x50, 0x7b, 0xdb, 0x25, 0x09, 0x4b, 0xf3, 0x8b, 0xab, 0x27, 0xca,
	0x1a, 0xc4, 0x3f, 0xb3, 0x14, 0xaf, 0x6e, 0x36, 0x71, 0xfe, 0x31, 0xe0, 0xbd, 0xfc, 0x0a, 0xed,
	0x6d, 0x49, 0xe5, 0xe8, 0xcd, 0xbd, 0x47, 0xdf, 0x29, 0x8f, 0xfe, 0x31, 0x8c, 0x84, 0xa4, 0x92,
	0x7b, 0x3f, 0x04, 0xba, 0x12, 0xbc, 0x36, 0xe3, 0x92, 0x64, 0xca, 0xea, 0x1e, 0x64, 0x41, 0x58,
	0xed, 0xa7, 0x30, 0xf6, 0xef, 0x23, 0x1a, 0x96, 0xab, 0x7a, 0x7b, 0x57, 0x8d, 0x30, 0x0a, 0x97,
	0xbd, 0x69, 0x4b, 0xbf, 0x03, 0x72, 0xe9, 0xfb, 0x85, 0x4a, 0xb4, 0x1c, 0x77, 0x4d, 0x61, 0xcc,
	0xd7, 0x2a, 0x8c, 0x73, 0x02, 0x47, 0x35, 0x54, 0xec, 0xc1, 0x35, 0x9c, 0x64, 0xbd, 0x79, 0x5d,
	0xbe, 0xd3, 0x66, 0x3e, 0xab, 0x8a, 0x6e, 0xc3, 0xac, 0x09, 0x83, 0x09, 0xae, 0xf4, 0x6e, 0xae,
	0x51, 0xa1, 0x5e, 0x81, 0x5e, 0xaa, 0x9a, 0xd9, 0x50, 0x35, 0xac, 0xbd, 0xc4, 0x68, 0xd6, 0xfe,
	0xff, 0xd0, 0x8b, 0xda, 0x5f, 0x4a, 0x70, 0x06, 0x07, 0x1b, 0x49, 0xd3, 0x36, 0x8d, 0x74, 0x26,
	0x30, 0x42, 0x3f, 0x2e, 0x78, 0x08, 0xc3, 0x8d, 0x8c, 0x93, 0xb6, 0xf8, 0xb1, 0xc2, 0x53, 0xee,
	0x52, 0x2e, 0x9f, 0xc6, 0x41, 0xc0, 0xbc, 0xd6, 0x0c, 0x1e, 0x4c, 0x8a, 0x08, 0x94, 0xc3, 0x05,
	0x0c, 0x7d, 0x4e, 0xb7, 0x51, 0x2c, 0x24, 0xf7, 0x32, 0x55, 0xb4, 0xdc, 0xaa, 0x49, 0x69, 0xd2,
	0x73, 0x46, 0x7d, 0x7d, 0x71, 0x94, 0x13, 0x67, 0x64, 0x86, 0x92, 0xae, 0xbe, 0x1a, 0xc6, 0x95,
	0x39, 0x35, 0x32, 0x15, 0x5f, 0xff, 0xd5, 0xd3, 0x1f, 0x2e, 0x4f, 0x06, 0x3e, 0x79, 0x04, 0x5d,
	0xa5, 0xe8, 0xe4, 0x28, 0xe7, 0x52, 0xe5, 0x1b, 0x31, 0x3f, 0xae, 0x1b, 0xb1, 0xa0, 0x4b, 0x80,
	0x42, 0x34, 0x04, 0xb1, 0x0b, 0x12, 0x36, 0x64, 0x69, 0xfe, 0xc1, 0x1e, 0x0f, 0x42, 0x7c, 0x03,
	0xa3, 0xaa, 0x42, 0x08, 0xf2, 0x20, 0x8f, 0xdd, 0xa3, 0x3c, 0xf3, 0xd3, 0xfd, 0x4e, 0xc4, 0xfa,
	0x12, 0x0e, 0x2a, 0x44, 0x17, 0x64, 0x5e, 0x49, 0xdb, 0x20, 0xf9, 0xfc, 0xc1, 0x5e, 0x1f, 0x02,
	0x7d, 0x0b, 0x93, 0x3a, 0xa7, 0x05, 0x79, 0x58, 0xcf, 0xdc, 0x84, 0x3b, 0x6b, 0x73, 0xd7, 0x4a,
	0xbb, 0x2e, 0xbe, 0xd6, 0xd5, 0xd2, 0x1a, 0x1c, 0xae, 0x95, 0xd6, 0x24, 0x66, 0x59, 0x5a, 0x89,
	0xd5, 0x28, 0xad, 0x09, 0x77, 0xd6, 0xe6, 0x46, 0xc4, 0x27, 0xd0, 0xd3, 0x54, 0x26, 0x45, 0x8f,
	0xab, 0xcc, 0x9f, 0x9f, 0x34, 0xac, 0xb8, 0xea, 0x11, 0x74, 0x15, 0xa1, 0x4b, 0xb6, 0x54, 0xd8,
	0x3f, 0x3f, 0xae, 0x1b, 0x71, 0xc9, 0x05, 0x0c, 0x90, 0xd1, 0x64, 0x96, 0x07, 0xd4, 0x2f, 0xc1,
	0xfc, 0xfd, 0x97, 0xec, 0xd9, 0xda, 0xf5, 0x1f, 0x7d, 0xe8, 0x6e, 0x78, 0xf8, 0x9f, 0x58, 0x7a,
	0x01, 0x03, 0x7c, 0x78, 0x94, 0x79, 0xeb, 0x6f, 0x95, 0x32, 0x6f, 0xe3, 0x85, 0xa2, 0xd2, 0xa9,
	0xd7, 0x46, 0x99, 0xae, 0xf2, 0x5e, 0x29, 0xd3, 0xd5, 0x1e, 0x2d, 0xef, 0x2e, 0xc5, 0xbb, 0x4b,
	0xf1, 0x56, 0x2e, 0xc5, 0xd5, 0xea, 0xfb, 0x4f, 0xb6, 0x5c, 0x06, 0xf4, 0xf6, 0xdc, 0x8b, 0xc3,
	0x55, 0xc8, 0xd4, 0xf3, 0xf3, 0x76, 0x25, 0x99, 0xf7, 0x7c, 0xe5, 0x25, 0x02, 0x7f, 0x9b, 0x56,
	0x34, 0xe1, 0x9f, 0x67, 0xc3, 0xdb, 0xbe, 0xfe, 0x85, 0x7a, 0xfc, 0x6f, 0x00, 0x00, 0x00, 0xff,
	0xff, 0xb8, 0x0e, 0xc5, 0x9c, 0x56, 0x0d, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// SimctldClient is the client API for Simctld service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type SimctldClient interface {
	Init(ctx context.Context, in *InitRequest, opts ...grpc.CallOption) (*InitResponse, error)
	// sensors
	AddSensors(ctx context.Context, in *AddSensorRequest, opts ...grpc.CallOption) (*AddSensorResponse, error)
	RemoveSensors(ctx context.Context, in *RemoveSensorRequest, opts ...grpc.CallOption) (*RemoveSensorResponse, error)
	// actuators
	AddActuators(ctx context.Context, in *AddActuatorRequest, opts ...grpc.CallOption) (*AddActuatorResponse, error)
	RemoveActuators(ctx context.Context, in *RemoveActuatorRequest, opts ...grpc.CallOption) (*RemoveActuatorResponse, error)
	// equations
	AddEquations(ctx context.Context, in *AddEquationRequest, opts ...grpc.CallOption) (*AddEquationResponse, error)
	RemoveEquations(ctx context.Context, in *RemoveEquationRequest, opts ...grpc.CallOption) (*RemoveEquationResponse, error)
	// simulation control
	Start(ctx context.Context, in *StartRequest, opts ...grpc.CallOption) (*StartResponse, error)
	Stop(ctx context.Context, in *StopRequest, opts ...grpc.CallOption) (*StopResponse, error)
	// data collection
	Collect(ctx context.Context, in *CollectRequest, opts ...grpc.CallOption) (*CollectResponse, error)
}

type simctldClient struct {
	cc grpc.ClientConnInterface
}

func NewSimctldClient(cc grpc.ClientConnInterface) SimctldClient {
	return &simctldClient{cc}
}

func (c *simctldClient) Init(ctx context.Context, in *InitRequest, opts ...grpc.CallOption) (*InitResponse, error) {
	out := new(InitResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/Init", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) AddSensors(ctx context.Context, in *AddSensorRequest, opts ...grpc.CallOption) (*AddSensorResponse, error) {
	out := new(AddSensorResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/AddSensors", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) RemoveSensors(ctx context.Context, in *RemoveSensorRequest, opts ...grpc.CallOption) (*RemoveSensorResponse, error) {
	out := new(RemoveSensorResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/RemoveSensors", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) AddActuators(ctx context.Context, in *AddActuatorRequest, opts ...grpc.CallOption) (*AddActuatorResponse, error) {
	out := new(AddActuatorResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/AddActuators", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) RemoveActuators(ctx context.Context, in *RemoveActuatorRequest, opts ...grpc.CallOption) (*RemoveActuatorResponse, error) {
	out := new(RemoveActuatorResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/RemoveActuators", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) AddEquations(ctx context.Context, in *AddEquationRequest, opts ...grpc.CallOption) (*AddEquationResponse, error) {
	out := new(AddEquationResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/AddEquations", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) RemoveEquations(ctx context.Context, in *RemoveEquationRequest, opts ...grpc.CallOption) (*RemoveEquationResponse, error) {
	out := new(RemoveEquationResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/RemoveEquations", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) Start(ctx context.Context, in *StartRequest, opts ...grpc.CallOption) (*StartResponse, error) {
	out := new(StartResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/Start", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) Stop(ctx context.Context, in *StopRequest, opts ...grpc.CallOption) (*StopResponse, error) {
	out := new(StopResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/Stop", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simctldClient) Collect(ctx context.Context, in *CollectRequest, opts ...grpc.CallOption) (*CollectResponse, error) {
	out := new(CollectResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simctld/Collect", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// SimctldServer is the server API for Simctld service.
type SimctldServer interface {
	Init(context.Context, *InitRequest) (*InitResponse, error)
	// sensors
	AddSensors(context.Context, *AddSensorRequest) (*AddSensorResponse, error)
	RemoveSensors(context.Context, *RemoveSensorRequest) (*RemoveSensorResponse, error)
	// actuators
	AddActuators(context.Context, *AddActuatorRequest) (*AddActuatorResponse, error)
	RemoveActuators(context.Context, *RemoveActuatorRequest) (*RemoveActuatorResponse, error)
	// equations
	AddEquations(context.Context, *AddEquationRequest) (*AddEquationResponse, error)
	RemoveEquations(context.Context, *RemoveEquationRequest) (*RemoveEquationResponse, error)
	// simulation control
	Start(context.Context, *StartRequest) (*StartResponse, error)
	Stop(context.Context, *StopRequest) (*StopResponse, error)
	// data collection
	Collect(context.Context, *CollectRequest) (*CollectResponse, error)
}

// UnimplementedSimctldServer can be embedded to have forward compatible implementations.
type UnimplementedSimctldServer struct {
}

func (*UnimplementedSimctldServer) Init(ctx context.Context, req *InitRequest) (*InitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Init not implemented")
}
func (*UnimplementedSimctldServer) AddSensors(ctx context.Context, req *AddSensorRequest) (*AddSensorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddSensors not implemented")
}
func (*UnimplementedSimctldServer) RemoveSensors(ctx context.Context, req *RemoveSensorRequest) (*RemoveSensorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveSensors not implemented")
}
func (*UnimplementedSimctldServer) AddActuators(ctx context.Context, req *AddActuatorRequest) (*AddActuatorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddActuators not implemented")
}
func (*UnimplementedSimctldServer) RemoveActuators(ctx context.Context, req *RemoveActuatorRequest) (*RemoveActuatorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveActuators not implemented")
}
func (*UnimplementedSimctldServer) AddEquations(ctx context.Context, req *AddEquationRequest) (*AddEquationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddEquations not implemented")
}
func (*UnimplementedSimctldServer) RemoveEquations(ctx context.Context, req *RemoveEquationRequest) (*RemoveEquationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveEquations not implemented")
}
func (*UnimplementedSimctldServer) Start(ctx context.Context, req *StartRequest) (*StartResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Start not implemented")
}
func (*UnimplementedSimctldServer) Stop(ctx context.Context, req *StopRequest) (*StopResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Stop not implemented")
}
func (*UnimplementedSimctldServer) Collect(ctx context.Context, req *CollectRequest) (*CollectResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Collect not implemented")
}

func RegisterSimctldServer(s *grpc.Server, srv SimctldServer) {
	s.RegisterService(&_Simctld_serviceDesc, srv)
}

func _Simctld_Init_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).Init(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/Init",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).Init(ctx, req.(*InitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_AddSensors_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddSensorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).AddSensors(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/AddSensors",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).AddSensors(ctx, req.(*AddSensorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_RemoveSensors_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveSensorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).RemoveSensors(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/RemoveSensors",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).RemoveSensors(ctx, req.(*RemoveSensorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_AddActuators_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddActuatorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).AddActuators(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/AddActuators",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).AddActuators(ctx, req.(*AddActuatorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_RemoveActuators_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveActuatorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).RemoveActuators(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/RemoveActuators",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).RemoveActuators(ctx, req.(*RemoveActuatorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_AddEquations_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddEquationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).AddEquations(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/AddEquations",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).AddEquations(ctx, req.(*AddEquationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_RemoveEquations_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveEquationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).RemoveEquations(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/RemoveEquations",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).RemoveEquations(ctx, req.(*RemoveEquationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_Start_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StartRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).Start(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/Start",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).Start(ctx, req.(*StartRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_Stop_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StopRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).Stop(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/Stop",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).Stop(ctx, req.(*StopRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simctld_Collect_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CollectRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimctldServer).Collect(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simctld/Collect",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimctldServer).Collect(ctx, req.(*CollectRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Simctld_serviceDesc = grpc.ServiceDesc{
	ServiceName: "simctl.Simctld",
	HandlerType: (*SimctldServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Init",
			Handler:    _Simctld_Init_Handler,
		},
		{
			MethodName: "AddSensors",
			Handler:    _Simctld_AddSensors_Handler,
		},
		{
			MethodName: "RemoveSensors",
			Handler:    _Simctld_RemoveSensors_Handler,
		},
		{
			MethodName: "AddActuators",
			Handler:    _Simctld_AddActuators_Handler,
		},
		{
			MethodName: "RemoveActuators",
			Handler:    _Simctld_RemoveActuators_Handler,
		},
		{
			MethodName: "AddEquations",
			Handler:    _Simctld_AddEquations_Handler,
		},
		{
			MethodName: "RemoveEquations",
			Handler:    _Simctld_RemoveEquations_Handler,
		},
		{
			MethodName: "Start",
			Handler:    _Simctld_Start_Handler,
		},
		{
			MethodName: "Stop",
			Handler:    _Simctld_Stop_Handler,
		},
		{
			MethodName: "Collect",
			Handler:    _Simctld_Collect_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/simctl.proto",
}

// SimdClient is the client API for Simd service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type SimdClient interface {
	Init(ctx context.Context, in *InitRequest, opts ...grpc.CallOption) (*InitResponse, error)
	Destroy(ctx context.Context, in *DestroyRequest, opts ...grpc.CallOption) (*DestroyResponse, error)
	List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error)
	// sensors
	AddSensors(ctx context.Context, in *AddSensorRequest, opts ...grpc.CallOption) (*AddSensorResponse, error)
	RemoveSensors(ctx context.Context, in *RemoveSensorRequest, opts ...grpc.CallOption) (*RemoveSensorResponse, error)
	// actuators
	AddActuators(ctx context.Context, in *AddActuatorRequest, opts ...grpc.CallOption) (*AddActuatorResponse, error)
	RemoveActuators(ctx context.Context, in *RemoveActuatorRequest, opts ...grpc.CallOption) (*RemoveActuatorResponse, error)
	// equations
	AddEquations(ctx context.Context, in *AddEquationRequest, opts ...grpc.CallOption) (*AddEquationResponse, error)
	RemoveEquations(ctx context.Context, in *RemoveEquationRequest, opts ...grpc.CallOption) (*RemoveEquationResponse, error)
	// simulation control
	Start(ctx context.Context, in *StartRequest, opts ...grpc.CallOption) (*StartResponse, error)
	Stop(ctx context.Context, in *StopRequest, opts ...grpc.CallOption) (*StopResponse, error)
	// data collection
	Collect(ctx context.Context, in *CollectRequest, opts ...grpc.CallOption) (*CollectResponse, error)
}

type simdClient struct {
	cc grpc.ClientConnInterface
}

func NewSimdClient(cc grpc.ClientConnInterface) SimdClient {
	return &simdClient{cc}
}

func (c *simdClient) Init(ctx context.Context, in *InitRequest, opts ...grpc.CallOption) (*InitResponse, error) {
	out := new(InitResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/Init", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) Destroy(ctx context.Context, in *DestroyRequest, opts ...grpc.CallOption) (*DestroyResponse, error) {
	out := new(DestroyResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/Destroy", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/List", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) AddSensors(ctx context.Context, in *AddSensorRequest, opts ...grpc.CallOption) (*AddSensorResponse, error) {
	out := new(AddSensorResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/AddSensors", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) RemoveSensors(ctx context.Context, in *RemoveSensorRequest, opts ...grpc.CallOption) (*RemoveSensorResponse, error) {
	out := new(RemoveSensorResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/RemoveSensors", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) AddActuators(ctx context.Context, in *AddActuatorRequest, opts ...grpc.CallOption) (*AddActuatorResponse, error) {
	out := new(AddActuatorResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/AddActuators", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) RemoveActuators(ctx context.Context, in *RemoveActuatorRequest, opts ...grpc.CallOption) (*RemoveActuatorResponse, error) {
	out := new(RemoveActuatorResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/RemoveActuators", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) AddEquations(ctx context.Context, in *AddEquationRequest, opts ...grpc.CallOption) (*AddEquationResponse, error) {
	out := new(AddEquationResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/AddEquations", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) RemoveEquations(ctx context.Context, in *RemoveEquationRequest, opts ...grpc.CallOption) (*RemoveEquationResponse, error) {
	out := new(RemoveEquationResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/RemoveEquations", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) Start(ctx context.Context, in *StartRequest, opts ...grpc.CallOption) (*StartResponse, error) {
	out := new(StartResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/Start", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) Stop(ctx context.Context, in *StopRequest, opts ...grpc.CallOption) (*StopResponse, error) {
	out := new(StopResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/Stop", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *simdClient) Collect(ctx context.Context, in *CollectRequest, opts ...grpc.CallOption) (*CollectResponse, error) {
	out := new(CollectResponse)
	err := c.cc.Invoke(ctx, "/simctl.Simd/Collect", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// SimdServer is the server API for Simd service.
type SimdServer interface {
	Init(context.Context, *InitRequest) (*InitResponse, error)
	Destroy(context.Context, *DestroyRequest) (*DestroyResponse, error)
	List(context.Context, *ListRequest) (*ListResponse, error)
	// sensors
	AddSensors(context.Context, *AddSensorRequest) (*AddSensorResponse, error)
	RemoveSensors(context.Context, *RemoveSensorRequest) (*RemoveSensorResponse, error)
	// actuators
	AddActuators(context.Context, *AddActuatorRequest) (*AddActuatorResponse, error)
	RemoveActuators(context.Context, *RemoveActuatorRequest) (*RemoveActuatorResponse, error)
	// equations
	AddEquations(context.Context, *AddEquationRequest) (*AddEquationResponse, error)
	RemoveEquations(context.Context, *RemoveEquationRequest) (*RemoveEquationResponse, error)
	// simulation control
	Start(context.Context, *StartRequest) (*StartResponse, error)
	Stop(context.Context, *StopRequest) (*StopResponse, error)
	// data collection
	Collect(context.Context, *CollectRequest) (*CollectResponse, error)
}

// UnimplementedSimdServer can be embedded to have forward compatible implementations.
type UnimplementedSimdServer struct {
}

func (*UnimplementedSimdServer) Init(ctx context.Context, req *InitRequest) (*InitResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Init not implemented")
}
func (*UnimplementedSimdServer) Destroy(ctx context.Context, req *DestroyRequest) (*DestroyResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Destroy not implemented")
}
func (*UnimplementedSimdServer) List(ctx context.Context, req *ListRequest) (*ListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method List not implemented")
}
func (*UnimplementedSimdServer) AddSensors(ctx context.Context, req *AddSensorRequest) (*AddSensorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddSensors not implemented")
}
func (*UnimplementedSimdServer) RemoveSensors(ctx context.Context, req *RemoveSensorRequest) (*RemoveSensorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveSensors not implemented")
}
func (*UnimplementedSimdServer) AddActuators(ctx context.Context, req *AddActuatorRequest) (*AddActuatorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddActuators not implemented")
}
func (*UnimplementedSimdServer) RemoveActuators(ctx context.Context, req *RemoveActuatorRequest) (*RemoveActuatorResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveActuators not implemented")
}
func (*UnimplementedSimdServer) AddEquations(ctx context.Context, req *AddEquationRequest) (*AddEquationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddEquations not implemented")
}
func (*UnimplementedSimdServer) RemoveEquations(ctx context.Context, req *RemoveEquationRequest) (*RemoveEquationResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RemoveEquations not implemented")
}
func (*UnimplementedSimdServer) Start(ctx context.Context, req *StartRequest) (*StartResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Start not implemented")
}
func (*UnimplementedSimdServer) Stop(ctx context.Context, req *StopRequest) (*StopResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Stop not implemented")
}
func (*UnimplementedSimdServer) Collect(ctx context.Context, req *CollectRequest) (*CollectResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Collect not implemented")
}

func RegisterSimdServer(s *grpc.Server, srv SimdServer) {
	s.RegisterService(&_Simd_serviceDesc, srv)
}

func _Simd_Init_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(InitRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).Init(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/Init",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).Init(ctx, req.(*InitRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_Destroy_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DestroyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).Destroy(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/Destroy",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).Destroy(ctx, req.(*DestroyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).List(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_AddSensors_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddSensorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).AddSensors(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/AddSensors",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).AddSensors(ctx, req.(*AddSensorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_RemoveSensors_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveSensorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).RemoveSensors(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/RemoveSensors",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).RemoveSensors(ctx, req.(*RemoveSensorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_AddActuators_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddActuatorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).AddActuators(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/AddActuators",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).AddActuators(ctx, req.(*AddActuatorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_RemoveActuators_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveActuatorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).RemoveActuators(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/RemoveActuators",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).RemoveActuators(ctx, req.(*RemoveActuatorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_AddEquations_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddEquationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).AddEquations(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/AddEquations",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).AddEquations(ctx, req.(*AddEquationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_RemoveEquations_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RemoveEquationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).RemoveEquations(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/RemoveEquations",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).RemoveEquations(ctx, req.(*RemoveEquationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_Start_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StartRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).Start(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/Start",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).Start(ctx, req.(*StartRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_Stop_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StopRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).Stop(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/Stop",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).Stop(ctx, req.(*StopRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Simd_Collect_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CollectRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(SimdServer).Collect(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/simctl.Simd/Collect",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(SimdServer).Collect(ctx, req.(*CollectRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Simd_serviceDesc = grpc.ServiceDesc{
	ServiceName: "simctl.Simd",
	HandlerType: (*SimdServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Init",
			Handler:    _Simd_Init_Handler,
		},
		{
			MethodName: "Destroy",
			Handler:    _Simd_Destroy_Handler,
		},
		{
			MethodName: "List",
			Handler:    _Simd_List_Handler,
		},
		{
			MethodName: "AddSensors",
			Handler:    _Simd_AddSensors_Handler,
		},
		{
			MethodName: "RemoveSensors",
			Handler:    _Simd_RemoveSensors_Handler,
		},
		{
			MethodName: "AddActuators",
			Handler:    _Simd_AddActuators_Handler,
		},
		{
			MethodName: "RemoveActuators",
			Handler:    _Simd_RemoveActuators_Handler,
		},
		{
			MethodName: "AddEquations",
			Handler:    _Simd_AddEquations_Handler,
		},
		{
			MethodName: "RemoveEquations",
			Handler:    _Simd_RemoveEquations_Handler,
		},
		{
			MethodName: "Start",
			Handler:    _Simd_Start_Handler,
		},
		{
			MethodName: "Stop",
			Handler:    _Simd_Stop_Handler,
		},
		{
			MethodName: "Collect",
			Handler:    _Simd_Collect_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "api/simctl.proto",
}
